--- !ditz.rubyforge.org,2008-03-06/issue 
title: Migrate algorithms from ALE.
desc: Image processing and related algorithms should probably be migrated from ALE to Libale.
type: :task
component: libale
release: 
reporter: David Hilvert <dhilvert@auricle.dyndns.org>
status: :unstarted
disposition: 
creation_time: 2009-01-10 06:02:56.653237 Z
references: []

id: eb8f45f3cfaaca40cbd03e23e998e5eaead3067d
log_events: 
- - 2009-01-10 06:03:16.689361 Z
  - David Hilvert <dhilvert@auricle.dyndns.org>
  - created
  - |-
    David Hilvert is OK with relicensing his code
    under AGPL, but check the git logs for code contributed by others.
- - 2009-04-02 09:42:20.317822 Z
  - David Hilvert <dhilvert@auricle.dyndns.org>
  - commented
  - |-
    Note that things such as filters could perhaps (if convenient) in some cases
    optionally be implemented by providing a definition for the function and parser
    within client code.  This should not, however, be strictly necessary, and it
    would probably be better, as a general rule, to provide as many basic
    facilities (e.g., simple filter functions, and compositions of these) within
    libale as possible.
- - 2009-06-20 19:03:35.593808 Z
  - David Hilvert <dhilvert@auricle.dyndns.org>
  - commented
  - |-
    Raw migration of code from ALE has begun.  When revising such for a final,
    refined implementation in Libale, be sure to update headers so that the
    copyright string reflects the date of creation of any substantial body of text
    remaining in the resulting refinement.
git_branch: 
